
%predicates 
   t1/1, u1/1, t2/1, u2/1.
   less/2, lesseq/2.
   min/3, max/3.

%rulesystem
   less(V0,V1) -> lesseq(V0,V1).
   lesseq(V0,V1) /\ V0 != V1 -> less(V0,V1).
   lesseq(V0,V1) /\ lesseq(V1,V2) -> lesseq(V0,V2).
   # V0 /\ # V1 -> lesseq(V0,V1) \/ lesseq(V1,V0).
   lesseq(V0,V1) /\ lesseq(V1,V0) /\ V0 != V1 -> . 
   lesseq(V0,V1) /\ max(V0,V1,V2) /\ V2 != V1 -> . 
   lesseq(V1,V0) /\ max(V0,V1,V2) /\ V2 != V0 -> . 
   lesseq(V0,V1) /\ min(V0,V1,V2) /\ V2 != V0 -> .
   lesseq(V1,V0) /\ min(V0,V1,V2) /\ V2 != V1 -> .
   # V0 /\ # V1 -> # V2 /\ min(V0,V1,V2).
   # V0 /\ # V1 -> # V2 /\ max(V0,V1,V2). 
   -> # V0 /\ t1(V0). 
   -> # V0 /\ u1(V0).
   -> # V0 /\ t2(V0).
   -> # V0 /\ u2(V0).
   t1(V0) /\ u1(V1) /\ t2(V2) /\ u2(V3) /\ 
      min(V0,V1,V4) /\ min(V2,V3,V5) /\ 
      max(V0,V2,V6) /\ max(V1,V3,V7) /\ 
      max(V4,V5,V8) /\ min(V6,V7,V8) -> .



