


#include "statistics_collector.h"


namespace gottlob_leitsch
{

   std::ostream& operator << ( 
		       std::ostream& stream,
		       const application::statistics_collector& stat )
   {
      stream << "------------------------------------------------\n";
      stream << "Application Statistics:\n";
      stream << "findmatch1 called   " << stat. findmatch1_calls << "\n";
      stream << "nrguesses           " << stat. nrguesses << "\n";
      stream << "findmatch2 called   " << stat. findmatch2_calls << "\n";
      stream << "nrsplits            " << stat. nrsplits << "\n";
      stream << "findmatch3 called   " << stat. findmatch3_calls << "\n";
      stream << "nrforward           " << stat. nrforward << "\n";
      stream << "nrnomatch           " << stat. nrnomatch << "\n";
      stream << "\n";
      stream << "findbest called     " << stat. findbest_calls << "\n";
      stream << "\n"; 
      stream << "conclusiontrue called   ";
      stream << stat. conclusiontrue_calls << "\n";
      stream << "conclusion is true      " << stat. nrconclusiontrue << "\n"; 
      stream << "-----------------------------------------------\n";
      return stream;
   }

};



