

// Written by Hans de Nivelle, April 2007. 


#ifndef STATISTICSCOLLECTOR_INCLUDED
#define STATISTICSCOLLECTOR_INCLUDED  1


#include <iostream>
#include <vector>


class statisticscollector
{

   double sum;
   unsigned int nr;

   std::vector< unsigned int > distr; 


public: 
   statisticscollector( )
      : sum(0.0),
        nr(0),
	distr( std::vector< unsigned int > :: vector( ))
   {
   }

   void clear( );

   void insert( unsigned int x );


   static unsigned int getindex( unsigned int x );
      // Returns the index of x.

   static unsigned int getlowest( unsigned int i );
      // Returns the lowest number that obtains index i. 

   friend std::ostream& operator << ( std::ostream& , 
		                      const statisticscollector& ); 
};


std::ostream& operator << ( std::ostream& stream,
		            const statisticscollector& col ); 

#endif


