
// Hans de Nivelle,
// Mai 2006.


#ifndef SWLL_STATISTICS_COLLECTOR_INCLUDED
#define SWLL_STATISTICS_COLLECTOR_INCLUDED   1


#include <iostream>



namespace swll
{

   struct statistics_collector
   {
      unsigned int nr_calls; 

      unsigned int nr_passedsetproblem;
         // The number that failed in setproblem. 

      unsigned int nr_solution;
         // The number that has a solution.

      unsigned int max_lemmas;
      unsigned int max_size;

      double sum_lemmas;
      double sum_size;

      unsigned int printborder;

      statistics_collector( )
         : nr_calls( 0 ),
           nr_passedsetproblem( 0 ),
	   nr_solution( 0 ), 
	   max_lemmas( 0 ),
	   max_size( 0 ),
           sum_lemmas( 0.0 ),
	   sum_size( 0.0 ),
	   printborder( 10 )
      {
      }

   };


   std::ostream& operator << ( std::ostream& , 
		               const statistics_collector& );

} 


#endif


