/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifdef NO_DEBUG
 #undef NO_DEBUG_VIS
 #define NO_DEBUG_VIS       
#endif
#define DEBUG_ERROR_SIGNALS
#ifdef NO_DEBUG
 #undef DEBUG_ALLOC_ALL
 #undef DEBUG_ALLOC_OBJ_PTR
 #undef DEBUG_ALLOC_OBJ_SIZE
 #undef DEBUG_ALLOC_OBJ_STATUS
 #undef DEBUG_ALLOC_EVENT_ID
 #undef DEBUG_ALLOC_NO_REUSE
 #undef DEBUG_MEMORY_LEAKS
 #undef DEBUG_ALLOCATION_FAILURE_HANDLING
 #undef DEBUG_ALLOCATOR
 #undef DEBUG_ARRAY
 #undef DEBUG_BIT_SET
 #undef DEBUG_BIT_STRING
 #undef DEBUG_BIT_WORD
 #undef DEBUG_BUFFERED_ALLOCATION_STATISTICS
 #undef DEBUG_CACHE_ALLOCATOR
 #undef DEBUG_CHARACTERISTIC_COMPARISON_MAKER
 #undef DEBUG_COMMAND_LINE_PARSER
 #undef DEBUG_COMPACT_NODE_SMALL_HEADER_SKIP_LIST
 #undef DEBUG_COMPARISON
 #undef DEBUG_COMPLEX_COMPARISON_MAKER
 #undef DEBUG_COUNTED_REFERENCE
 #undef DEBUG_DEFRAGMENTATION
 #undef DEBUG_EQUIVALENCE_RELATION
 #undef DEBUG_ERROR_SIGNALS
 #undef DEBUG_EXIT  
 #undef DEBUG_EXPANDING_STACK
 #undef DEBUG_EXPANDING_MULTISET
 #undef DEBUG_FIFO
 #undef DEBUG_G_INC_COUNTING_SORT
 #undef DEBUG_G_LIST
 #undef DEBUG_G_SORT_TREE
 #undef DEBUG_GLOB_ALLOC
 #undef DEBUG_GLOBAL_CLOCK
 #undef DEBUG_GLOBAL_STOP_FLAG
 #undef DEBUG_INFINITE_STACK
 #undef DEBUG_LINEAR_COMBINATION
 #undef DEBUG_LINEAR_POLYNOMIAL
 #undef DEBUG_MALLOC
 #undef DEBUG_MATH
 #undef DEBUG_MULTISET
 #undef DEBUG_MULTISET_OF_VARIABLES
 #undef DEBUG_NUMERIC_SET
 #undef DEBUG_OBJECT_CACHE
 #undef DEBUG_OBJECT_POOL
 #undef DEBUG_OBJECT_POOL_WITH_MEMORY
 #undef DEBUG_ON_REQUEST_MEMORY_RECYCLER
 #undef DEBUG_ONE_MAX_FINDER
 #undef DEBUG_ORD_LIST
 #undef DEBUG_PAGE_QUEUE_DISCIPLINE_STORAGE
 #undef DEBUG_RECEIVER
 #undef DEBUG_SHARED_LINEAR_POLYNOMIAL
 #undef DEBUG_SKIP_LIST
 #undef DEBUG_SMALL_HEADER_SKIP_LIST 
 #undef DEBUG_SMALL_HEADER_SKIP_LIST_OF_ARRAYS 
 #undef DEBUG_STACK 
 #undef DEBUG_STATIC_CELL_ARRAY
 #undef DEBUG_STRING
 #undef DEBUG_TEXT_FORMATTER
 #undef DEBUG_TAGGED_PTR
 #undef DEBUG_TIMER
#else
 #ifdef DEBUG_ALL
  #define DEBUG_ALLOCATION_FAILURE_HANDLING
  #define DEBUG_ALLOCATOR
  #define DEBUG_ARRAY
  #define DEBUG_BIT_SET
  #define DEBUG_BIT_STRING
  #define DEBUG_BIT_WORD
  #define DEBUG_BUFFERED_ALLOCATION_STATISTICS
  #define DEBUG_CACHE_ALLOCATOR
  #define DEBUG_COMMAND_LINE_PARSER
  #define DEBUG_COMPACT_NODE_SMALL_HEADER_SKIP_LIST
  #define DEBUG_COMPARISON
  #define DEBUG_COUNTED_REFERENCE
  #define DEBUG_DEFRAGMENTATION
  #define DEBUG_EQUIVALENCE_RELATION
  #define DEBUG_ERROR_SIGNALS
  #define DEBUG_EXIT 
  #define DEBUG_EXPANDING_STACK
  #define DEBUG_EXPANDING_MULTISET
  #define DEBUG_FIFO
  #define DEBUG_G_INC_COUNTING_SORT
  #define DEBUG_G_LIST
  #define DEBUG_G_SORT_TREE
  #define DEBUG_GLOB_ALLOC  
  #define DEBUG_GLOBAL_CLOCK
  #define DEBUG_GLOBAL_STOP_FLAG
  #define DEBUG_INFINITE_STACK
  #define DEBUG_LINEAR_COMBINATION
  #define DEBUG_LINEAR_POLYNOMIAL
  #define DEBUG_MALLOC
  #define DEBUG_MATH
  #define DEBUG_MULTISET
  #define DEBUG_MULTISET_OF_VARIABLES
  #define DEBUG_NUMERIC_SET
  #define DEBUG_OBJECT_CACHE
  #define DEBUG_OBJECT_POOL
  #define DEBUG_OBJECT_POOL_WITH_MEMORY
  #define DEBUG_ON_REQUEST_MEMORY_RECYCLER
  #define DEBUG_ORD_LIST 
  #define DEBUG_PAGE_QUEUE_DISCIPLINE_STORAGE
  #define DEBUG_RECEIVER
  #define DEBUG_SHARED_LINEAR_POLYNOMIAL
  #define DEBUG_SKIP_LIST
  #define DEBUG_SMALL_HEADER_SKIP_LIST 
  #define DEBUG_SMALL_HEADER_SKIP_LIST_OF_ARRAYS 
  #define DEBUG_STACK 
  #define DEBUG_STATIC_CELL_ARRAY
  #define DEBUG_STRING
  #define DEBUG_TEXT_FORMATTER
  #define DEBUG_TAGGED_PTR
  #define DEBUG_TIMER
 #endif
#endif
#ifdef DEBUG_ALLOC_ALL
 #undef DEBUG_ALLOC_OBJ_PTR
 #undef DEBUG_ALLOC_OBJ_SIZE
 #undef DEBUG_ALLOC_OBJ_STATUS
 #undef DEBUG_ALLOC_EVENT_ID
 #define DEBUG_ALLOC_OBJ_PTR
 #define DEBUG_ALLOC_OBJ_SIZE
 #define DEBUG_ALLOC_OBJ_STATUS
 #define DEBUG_ALLOC_EVENT_ID
#endif
#undef DEBUG_ALLOC
#if ((defined DEBUG_ALLOC_OBJ_PTR) \
     || (defined DEBUG_ALLOC_OBJ_SIZE) \
     || (defined DEBUG_ALLOC_OBJ_STATUS) \
     || (defined DEBUG_ALLOC_EVENT_ID) \
     || (defined DEBUG_ALLOC_NO_REUSE))
 #define DEBUG_ALLOC
#endif
