/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#include "RenamingToNew.hpp"
using namespace Shell;
RenamingToNew::RenamingToNew ()
  : _last(-1)
{
} 
Var RenamingToNew::findOrBindToNew (Var v)
{
  TRACER("RenamingToNew::findOrBindToNew");
  int found;
  if (_map.find(v.toInt(),found)) {
    return Var(found);
  }
  _map.insert(v.toInt(), ++_last);
  return Var(_last);
} 
