/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifndef __SimplifyFalseTrue__
#define __SimplifyFalseTrue__
#include "Connective.hpp"
namespace Shell {
class Unit;
class Formula;
class Position;
class FormulaList;
class InferenceInfo;
class SimplifyFalseTrue
{
public:
  static bool simplify(Unit&);
private:
  SimplifyFalseTrue() : _info(0) {}
  void simplify(Formula&, const Position&);
  bool simplify(FormulaList&, Connective, const Position&, int k);
  InferenceInfo* _info;
}; 
}
#endif
