/**
 * @file SpiderMode.hpp
 * Defines several functions used in the Spider Mode
 *
 * @since 14/03/2004 Manchester
 */

#ifndef __SpiderMode__
#define __SpiderMode__

#include "Run.hpp"

namespace Shell {

/**
 * Implements the Spider mode.
 * @since 12/09/2004 Manchester airport, changed to inherit from Run.
 */
class SpiderMode
  : public Run
{
public:
  SpiderMode(Options&);
  void run ();
  void reportAllocationFailure ();
};

}

#endif
