open Lib
type clause = Clause.clause

module ClauseKey =
  struct
    type t       = clause
    let  compare = Clause.compare
 end

module ClauseDBM =  AbstDB.Make (ClauseKey)

type clauseDB  = ClauseDBM.abstDB

let create_name = ClauseDBM.create_name
let create () = create_name "Clause_DB"
let mem      = ClauseDBM.mem
let remove   = ClauseDBM.remove
let find     = ClauseDBM.find
let size     = ClauseDBM.size
let map      = ClauseDBM.map
let fold     = ClauseDBM.fold
let iter     = ClauseDBM.iter

let add_ref  = ClauseDBM.add_ref 

let add  = ClauseDBM.add
     

let get_name = ClauseDBM.get_name


let to_string clause_db = 
  ClauseDBM.to_string Clause.to_string ",\n" clause_db

