type token =
  | Comma
  | Dot
  | Semicolumn
  | LeftParen
  | RightParen
  | LBrace
  | RBrace
  | True
  | False
  | ForAll
  | Exists
  | And
  | NegAnd
  | Or
  | NegOr
  | Equality
  | NegEquality
  | Negation
  | ImplicationLR
  | ImplicationRL
  | Equivalence
  | NegEquivalence
  | Plus
  | Minus
  | CNF of (string)
  | FOF of (string)
  | Include of (string)
  | Axiom of (string)
  | Hypothesis of (string)
  | Conjecture of (string)
  | Negated_conjecture of (string)
  | Lemma of (string)
  | Theorem of (string)
  | Plain of (string)
  | Unknown of (string)
  | Derived of (string)
  | Equal of (string)
  | Inference of (string)
  | Theory of (string)
  | AC of (string)
  | File of (string)
  | Creator of (string)
  | Description of (string)
  | Iquote of (string)
  | Status of (string)
  | Thm of (string)
  | Sat of (string)
  | Refutation of (string)
  | PositiveInteger of (string)
  | FormulaItem of (string)
  | InferenceItem of (string)
  | GeneralFunction of (string)
  | InferenceInfo of (string)
  | DagSource of (string)
  | ExternalSource of (string)
  | UpperWord of (string)
  | LowerWord of (string)
  | String of (string)
  | QuotedStr of (string)
  | CommentPercent of (string)
  | CommentStar of (string)
  | AnnotationPercent of (string)
  | AnnotationStar of (string)
  | EOF

open Parsing;;
# 1 "src/parser_tptp.mly"
 open Parser_types

 let foo = "foo" 
 let disquote_string  str = 
      String.sub str 1 ((String.length str)-2)
 let parse_error s = raise Parser_types.Parsing_fails
# 76 "src/parser_tptp.ml"
let yytransl_const = [|
  257 (* Comma *);
  258 (* Dot *);
  259 (* Semicolumn *);
  260 (* LeftParen *);
  261 (* RightParen *);
  262 (* LBrace *);
  263 (* RBrace *);
  264 (* True *);
  265 (* False *);
  266 (* ForAll *);
  267 (* Exists *);
  268 (* And *);
  269 (* NegAnd *);
  270 (* Or *);
  271 (* NegOr *);
  272 (* Equality *);
  273 (* NegEquality *);
  274 (* Negation *);
  275 (* ImplicationLR *);
  276 (* ImplicationRL *);
  277 (* Equivalence *);
  278 (* NegEquivalence *);
  279 (* Plus *);
  280 (* Minus *);
    0 (* EOF *);
    0|]

let yytransl_block = [|
  281 (* CNF *);
  282 (* FOF *);
  283 (* Include *);
  284 (* Axiom *);
  285 (* Hypothesis *);
  286 (* Conjecture *);
  287 (* Negated_conjecture *);
  288 (* Lemma *);
  289 (* Theorem *);
  290 (* Plain *);
  291 (* Unknown *);
  292 (* Derived *);
  293 (* Equal *);
  294 (* Inference *);
  295 (* Theory *);
  296 (* AC *);
  297 (* File *);
  298 (* Creator *);
  299 (* Description *);
  300 (* Iquote *);
  301 (* Status *);
  302 (* Thm *);
  303 (* Sat *);
  304 (* Refutation *);
  305 (* PositiveInteger *);
  306 (* FormulaItem *);
  307 (* InferenceItem *);
  308 (* GeneralFunction *);
  309 (* InferenceInfo *);
  310 (* DagSource *);
  311 (* ExternalSource *);
  312 (* UpperWord *);
  313 (* LowerWord *);
  314 (* String *);
  315 (* QuotedStr *);
  316 (* CommentPercent *);
  317 (* CommentStar *);
  318 (* AnnotationPercent *);
  319 (* AnnotationStar *);
    0|]

let yylhs = "\255\255\
\001\000\001\000\002\000\002\000\002\000\002\000\003\000\003\000\
\011\000\011\000\007\000\007\000\009\000\009\000\009\000\014\000\
\014\000\014\000\014\000\014\000\014\000\014\000\014\000\015\000\
\010\000\010\000\016\000\016\000\018\000\018\000\018\000\021\000\
\020\000\023\000\023\000\024\000\024\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\019\000\026\000\022\000\
\027\000\027\000\027\000\030\000\030\000\028\000\028\000\028\000\
\028\000\028\000\028\000\028\000\028\000\028\000\029\000\029\000\
\032\000\032\000\025\000\031\000\031\000\034\000\008\000\033\000\
\035\000\035\000\036\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\036\000\036\000\036\000\036\000\
\004\000\004\000\038\000\038\000\037\000\005\000\005\000\006\000\
\006\000\012\000\012\000\012\000\039\000\039\000\041\000\042\000\
\043\000\043\000\044\000\044\000\045\000\046\000\047\000\047\000\
\040\000\040\000\040\000\048\000\050\000\049\000\051\000\013\000\
\013\000\052\000\052\000\053\000\053\000\053\000\054\000\054\000\
\057\000\058\000\055\000\055\000\059\000\059\000\061\000\062\000\
\060\000\064\000\064\000\063\000\063\000\056\000\056\000\065\000\
\065\000\066\000\000\000"

let yylen = "\002\000\
\002\000\001\000\001\000\001\000\001\000\001\000\009\000\010\000\
\002\000\004\000\001\000\001\000\003\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\006\000\001\000\001\000\001\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\002\000\001\000\001\000\
\001\000\001\000\001\000\001\000\003\000\003\000\003\000\006\000\
\001\000\001\000\001\000\003\000\003\000\002\000\001\000\004\000\
\001\000\001\000\001\000\001\000\002\000\002\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\005\000\006\000\001\000\002\000\001\000\001\000\001\000\001\000\
\001\000\004\000\004\000\001\000\001\000\001\000\010\000\001\000\
\001\000\003\000\001\000\002\000\002\000\004\000\001\000\001\000\
\001\000\001\000\001\000\006\000\001\000\006\000\001\000\002\000\
\003\000\001\000\003\000\004\000\004\000\004\000\001\000\001\000\
\004\000\004\000\001\000\001\000\004\000\004\000\001\000\006\000\
\004\000\001\000\001\000\002\000\003\000\001\000\004\000\001\000\
\002\000\001\000\002\000"

let yydefred = "\000\000\
\000\000\000\000\011\000\012\000\000\000\110\000\111\000\112\000\
\113\000\002\000\163\000\000\000\003\000\004\000\005\000\006\000\
\000\000\000\000\001\000\000\000\072\000\109\000\000\000\075\000\
\076\000\077\000\078\000\079\000\080\000\081\000\082\000\083\000\
\084\000\085\000\086\000\087\000\088\000\089\000\090\000\091\000\
\092\000\093\000\094\000\095\000\096\000\097\000\098\000\099\000\
\100\000\101\000\102\000\103\000\104\000\073\000\000\000\071\000\
\074\000\000\000\000\000\000\000\000\000\105\000\108\000\000\000\
\016\000\017\000\018\000\019\000\020\000\021\000\022\000\023\000\
\024\000\000\000\000\000\015\000\106\000\000\000\000\000\000\000\
\057\000\058\000\035\000\034\000\000\000\047\000\000\000\000\000\
\067\000\000\000\000\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\000\000\051\000\000\000\000\000\049\000\050\000\
\059\000\063\000\066\000\013\000\000\000\000\000\062\000\000\000\
\069\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\046\000\000\000\
\000\000\000\000\000\000\032\000\000\000\070\000\000\000\000\000\
\116\000\000\000\000\000\000\000\007\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\064\000\000\000\
\000\000\000\000\008\000\000\000\000\000\000\000\053\000\000\000\
\117\000\000\000\118\000\000\000\000\000\000\000\000\000\131\000\
\129\000\130\000\000\000\010\000\000\000\037\000\056\000\000\000\
\114\000\000\000\000\000\000\000\115\000\136\000\000\000\000\000\
\000\000\000\000\000\000\033\000\120\000\000\000\127\000\128\000\
\000\000\000\000\135\000\000\000\000\000\000\000\000\000\137\000\
\000\000\000\000\126\000\000\000\000\000\000\000\000\000\000\000\
\143\000\144\000\000\000\000\000\000\000\000\000\147\000\148\000\
\000\000\158\000\000\000\000\000\139\000\000\000\133\000\000\000\
\000\000\000\000\000\000\140\000\000\000\000\000\000\000\141\000\
\142\000\000\000\000\000\132\000\134\000\000\000\000\000\151\000\
\000\000\000\000\000\000\000\000\000\000\154\000\155\000\000\000\
\000\000\000\000\145\000\146\000\149\000\153\000\000\000\150\000\
\156\000\000\000\161\000\159\000\000\000\000\000\000\000\065\000\
\000\000\157\000\000\000\124\000\000\000\000\000\000\000\125\000\
\119\000\122\000\000\000\152\000"

let yydgoto = "\002\000\
\011\000\012\000\013\000\014\000\015\000\016\000\017\000\090\000\
\074\000\091\000\125\000\013\001\180\000\075\000\076\000\092\000\
\093\000\094\000\095\000\096\000\097\000\098\000\099\000\151\000\
\100\000\101\000\102\000\103\000\104\000\136\000\105\000\106\000\
\107\000\113\000\056\000\057\000\023\000\060\000\170\000\175\000\
\171\000\198\000\014\001\015\001\020\001\176\000\201\000\177\000\
\178\000\232\000\204\000\194\000\195\000\216\000\222\000\254\000\
\217\000\218\000\223\000\224\000\249\000\252\000\255\000\000\001\
\001\001\228\000"

let yysindex = "\010\000\
\001\000\000\000\000\000\000\000\022\255\000\000\000\000\000\000\
\000\000\000\000\000\000\001\000\000\000\000\000\000\000\000\000\
\037\255\003\255\000\000\045\001\000\000\000\000\181\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\066\255\000\000\
\000\000\079\255\045\001\113\255\169\000\000\000\000\000\130\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\133\255\126\255\000\000\000\000\060\255\125\255\060\255\
\000\000\000\000\000\000\000\000\162\255\000\000\231\000\166\255\
\000\000\180\255\250\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\171\255\000\000\060\255\049\255\000\000\000\000\
\000\000\000\000\000\000\000\000\036\000\231\000\000\000\139\255\
\000\000\231\000\240\254\200\255\060\255\060\255\060\255\060\255\
\060\255\060\255\060\255\060\255\206\255\165\255\000\000\231\000\
\231\000\231\000\231\000\000\000\006\255\000\000\020\255\208\255\
\000\000\211\255\224\255\231\255\000\000\174\255\221\255\179\255\
\150\255\195\255\195\255\090\000\116\255\233\255\230\255\237\255\
\203\255\203\255\203\255\203\255\231\000\231\000\000\000\078\001\
\011\255\246\255\000\000\251\255\165\255\207\255\000\000\249\255\
\000\000\253\255\000\000\252\255\255\255\006\000\007\000\000\000\
\000\000\000\000\005\255\000\000\060\255\000\000\000\000\045\001\
\000\000\248\254\003\255\003\255\000\000\000\000\013\000\015\000\
\016\000\254\255\020\000\000\000\000\000\022\000\000\000\000\000\
\019\000\024\000\000\000\032\000\175\255\228\254\010\001\000\000\
\089\255\246\255\000\000\045\001\246\255\030\000\031\000\035\000\
\000\000\000\000\038\000\039\000\048\000\049\000\000\000\000\000\
\000\000\000\000\054\000\056\000\000\000\052\000\000\000\084\000\
\091\000\003\255\003\255\000\000\045\001\219\255\045\001\000\000\
\000\000\137\000\005\000\000\000\000\000\093\000\101\000\000\000\
\102\000\103\000\107\000\108\000\094\000\000\000\000\000\137\000\
\109\000\240\254\000\000\000\000\000\000\000\000\010\001\000\000\
\000\000\110\000\000\000\000\000\092\000\111\000\114\000\000\000\
\149\000\000\000\003\255\000\000\147\000\240\254\148\000\000\000\
\000\000\000\000\150\000\000\000"

let yyrindex = "\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\151\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\156\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\132\255\
\000\000\159\255\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\017\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\153\000\000\000\
\000\000\000\000\000\000\154\000\000\000\189\001\177\001\211\001\
\200\001\013\255\137\255\023\255\058\255\000\000\000\000\186\000\
\133\001\155\001\184\255\228\255\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\155\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\188\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\040\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\053\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\008\255\000\000\223\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000"

let yygindex = "\000\000\
\149\001\000\000\000\000\000\000\000\000\000\000\000\000\239\255\
\000\000\003\000\000\000\122\001\059\255\000\000\162\001\157\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\077\001\
\140\255\000\000\173\255\000\000\000\000\085\001\000\000\054\255\
\238\255\000\000\000\000\000\000\057\001\186\001\000\000\000\000\
\000\000\007\001\226\000\000\000\000\000\000\000\000\000\011\001\
\000\000\000\000\000\000\000\000\041\001\000\000\000\000\044\001\
\000\000\000\000\000\000\000\000\000\000\000\000\229\000\000\000\
\080\255\000\000"

let yytablesize = 745
let yytable = "\022\000\
\010\000\127\000\055\000\111\000\226\000\059\000\157\000\199\000\
\123\000\152\000\001\000\190\000\230\000\042\000\123\000\233\000\
\219\000\042\000\137\000\220\000\158\000\128\000\129\000\044\000\
\221\000\018\000\133\000\044\000\130\000\131\000\135\000\200\000\
\042\000\042\000\042\000\128\000\129\000\138\000\139\000\226\000\
\020\000\059\000\130\000\131\000\153\000\154\000\155\000\156\000\
\152\000\172\000\226\000\173\000\174\000\226\000\191\000\192\000\
\193\000\160\000\045\000\160\000\017\001\021\000\045\000\080\000\
\128\000\129\000\061\000\081\000\082\000\083\000\084\000\130\000\
\131\000\166\000\135\000\085\000\010\001\086\000\045\000\011\001\
\062\000\196\000\109\000\087\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\032\000\033\000\034\000\035\000\
\036\000\037\000\038\000\039\000\040\000\041\000\042\000\043\000\
\044\000\045\000\046\000\047\000\088\000\048\000\049\000\050\000\
\051\000\052\000\053\000\089\000\054\000\064\000\021\000\142\000\
\143\000\144\000\145\000\146\000\147\000\148\000\149\000\117\000\
\118\000\119\000\120\000\077\000\068\000\078\000\121\000\122\000\
\068\000\043\000\191\000\192\000\193\000\043\000\169\000\068\000\
\068\000\068\000\068\000\068\000\068\000\079\000\068\000\068\000\
\068\000\068\000\068\000\068\000\043\000\043\000\043\000\065\000\
\073\000\117\000\118\000\065\000\120\000\110\000\197\000\112\000\
\022\000\203\000\065\000\065\000\065\000\065\000\065\000\065\000\
\126\000\065\000\065\000\065\000\065\000\065\000\065\000\114\000\
\060\000\117\000\118\000\134\000\060\000\225\000\117\000\118\000\
\119\000\120\000\231\000\060\000\060\000\060\000\060\000\060\000\
\060\000\141\000\060\000\060\000\060\000\060\000\117\000\118\000\
\119\000\120\000\150\000\183\000\159\000\121\000\160\000\246\000\
\247\000\214\000\215\000\248\000\089\000\197\000\128\000\129\000\
\225\000\130\000\131\000\161\000\061\000\130\000\131\000\162\000\
\061\000\118\000\163\000\225\000\164\000\165\000\225\000\061\000\
\061\000\061\000\061\000\061\000\061\000\016\001\061\000\061\000\
\061\000\061\000\115\000\179\000\184\000\181\000\116\000\186\000\
\024\001\185\000\187\000\173\000\208\000\117\000\118\000\119\000\
\120\000\188\000\002\001\189\000\121\000\122\000\123\000\124\000\
\205\000\048\000\206\000\207\000\209\000\048\000\210\000\211\000\
\212\000\003\000\004\000\005\000\048\000\048\000\048\000\048\000\
\213\000\234\000\235\000\048\000\048\000\048\000\048\000\236\000\
\132\000\237\000\238\000\162\000\065\000\065\000\065\000\117\000\
\118\000\119\000\120\000\239\000\243\000\240\000\121\000\122\000\
\123\000\124\000\241\000\242\000\006\000\007\000\008\000\009\000\
\065\000\065\000\065\000\065\000\065\000\065\000\065\000\065\000\
\065\000\065\000\065\000\065\000\065\000\065\000\065\000\065\000\
\065\000\065\000\065\000\065\000\065\000\065\000\065\000\065\000\
\244\000\065\000\065\000\065\000\065\000\065\000\065\000\245\000\
\065\000\003\001\065\000\253\000\009\001\117\000\118\000\119\000\
\120\000\004\001\005\001\006\001\121\000\122\000\007\001\124\000\
\008\001\012\001\022\001\019\001\018\001\021\001\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\035\000\036\000\037\000\038\000\039\000\040\000\041\000\
\042\000\043\000\044\000\045\000\046\000\047\000\253\000\048\000\
\049\000\050\000\051\000\052\000\053\000\023\001\054\000\025\001\
\021\000\253\000\028\001\107\000\014\000\052\000\009\000\088\000\
\019\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\037\000\038\000\
\039\000\040\000\041\000\042\000\043\000\044\000\045\000\046\000\
\047\000\058\000\048\000\049\000\050\000\051\000\052\000\053\000\
\036\000\054\000\138\000\021\000\065\000\066\000\067\000\068\000\
\069\000\070\000\071\000\072\000\073\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\038\000\039\000\040\000\041\000\042\000\
\043\000\044\000\045\000\046\000\047\000\121\000\048\000\049\000\
\050\000\051\000\052\000\053\000\140\000\054\000\081\000\082\000\
\108\000\182\000\167\000\202\000\063\000\251\000\085\000\026\001\
\250\000\229\000\227\000\027\001\000\000\000\000\087\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\037\000\038\000\039\000\040\000\
\041\000\042\000\043\000\044\000\045\000\046\000\047\000\088\000\
\048\000\049\000\050\000\051\000\052\000\053\000\089\000\054\000\
\000\000\021\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\033\000\034\000\035\000\036\000\037\000\
\038\000\039\000\040\000\041\000\042\000\043\000\044\000\045\000\
\046\000\047\000\000\000\048\000\049\000\050\000\051\000\052\000\
\053\000\000\000\054\000\000\000\021\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\038\000\039\000\040\000\041\000\042\000\
\043\000\044\000\045\000\046\000\047\000\000\000\048\000\049\000\
\050\000\051\000\052\000\053\000\000\000\054\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\035\000\036\000\168\000\038\000\039\000\040\000\041\000\
\042\000\043\000\044\000\045\000\046\000\047\000\000\000\048\000\
\049\000\050\000\051\000\052\000\053\000\054\000\054\000\000\000\
\000\000\054\000\000\000\000\000\000\000\000\000\000\000\000\000\
\054\000\054\000\054\000\054\000\000\000\000\000\000\000\054\000\
\054\000\054\000\054\000\055\000\000\000\000\000\000\000\055\000\
\000\000\000\000\000\000\000\000\000\000\000\000\055\000\055\000\
\055\000\055\000\000\000\000\000\000\000\055\000\055\000\055\000\
\055\000\039\000\000\000\000\000\000\000\039\000\000\000\000\000\
\000\000\000\000\000\000\000\000\039\000\038\000\039\000\039\000\
\000\000\038\000\000\000\039\000\039\000\039\000\039\000\000\000\
\041\000\000\000\038\000\038\000\041\000\000\000\000\000\038\000\
\038\000\038\000\038\000\040\000\000\000\041\000\000\000\040\000\
\000\000\000\000\041\000\041\000\041\000\041\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\040\000\040\000\040\000\
\040\000"

let yycheck = "\018\000\
\000\000\101\000\020\000\087\000\207\000\023\000\001\001\016\001\
\001\001\126\000\001\000\007\001\210\000\001\001\007\001\213\000\
\045\001\005\001\035\001\048\001\001\001\016\001\017\001\001\001\
\053\001\004\001\110\000\005\001\023\001\024\001\114\000\040\001\
\020\001\021\001\022\001\016\001\017\001\054\001\055\001\242\000\
\004\001\059\000\023\001\024\001\128\000\129\000\130\000\131\000\
\165\000\039\001\253\000\041\001\042\001\000\001\050\001\051\001\
\052\001\005\001\001\001\007\001\007\001\059\001\005\001\004\001\
\016\001\017\001\001\001\008\001\009\001\010\001\011\001\023\001\
\024\001\157\000\158\000\016\001\253\000\018\001\021\001\000\001\
\002\001\181\000\080\000\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\033\001\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\057\001\005\001\059\001\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\012\001\
\013\001\014\001\015\001\002\001\001\001\001\001\019\001\020\001\
\005\001\001\001\050\001\051\001\052\001\005\001\160\000\012\001\
\013\001\014\001\015\001\016\001\017\001\024\001\019\001\020\001\
\021\001\022\001\023\001\024\001\020\001\021\001\022\001\001\001\
\036\001\012\001\013\001\005\001\015\001\004\001\184\000\002\001\
\187\000\188\000\012\001\013\001\014\001\015\001\016\001\017\001\
\006\001\019\001\020\001\021\001\022\001\023\001\024\001\004\001\
\001\001\012\001\013\001\049\001\005\001\207\000\012\001\013\001\
\014\001\015\001\212\000\012\001\013\001\014\001\015\001\016\001\
\017\001\002\001\019\001\020\001\021\001\022\001\012\001\013\001\
\014\001\015\001\005\001\005\001\005\001\019\001\004\001\234\000\
\235\000\043\001\044\001\237\000\056\001\239\000\016\001\017\001\
\242\000\023\001\024\001\004\001\001\001\023\001\024\001\001\001\
\005\001\013\001\002\001\253\000\007\001\001\001\000\001\012\001\
\013\001\014\001\015\001\016\001\017\001\007\001\019\001\020\001\
\021\001\022\001\001\001\006\001\004\001\003\001\005\001\004\001\
\019\001\005\001\004\001\041\001\007\001\012\001\013\001\014\001\
\015\001\004\001\006\001\005\001\019\001\020\001\021\001\022\001\
\004\001\001\001\004\001\004\001\001\001\005\001\001\001\005\001\
\001\001\025\001\026\001\027\001\012\001\013\001\014\001\015\001\
\001\001\004\001\004\001\019\001\020\001\021\001\022\001\005\001\
\005\001\004\001\004\001\004\001\005\001\006\001\007\001\012\001\
\013\001\014\001\015\001\004\001\001\001\005\001\019\001\020\001\
\021\001\022\001\005\001\004\001\060\001\061\001\062\001\063\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\005\001\050\001\051\001\052\001\053\001\054\001\055\001\005\001\
\057\001\005\001\059\001\006\001\007\001\012\001\013\001\014\001\
\015\001\005\001\005\001\005\001\019\001\020\001\004\001\022\001\
\005\001\005\001\001\001\024\001\007\001\007\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\033\001\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\041\001\042\001\
\043\001\044\001\045\001\046\001\047\001\048\001\006\001\050\001\
\051\001\052\001\053\001\054\001\055\001\001\001\057\001\005\001\
\059\001\006\001\005\001\005\001\001\001\005\001\005\001\005\001\
\012\000\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\005\001\050\001\051\001\052\001\053\001\054\001\055\001\
\007\001\057\001\007\001\059\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\036\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\007\001\050\001\051\001\
\052\001\053\001\054\001\055\001\115\000\057\001\008\001\009\001\
\079\000\165\000\158\000\187\000\059\000\239\000\016\001\022\001\
\238\000\209\000\207\000\023\001\255\255\255\255\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\032\001\033\001\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\057\001\
\255\255\059\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\033\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\255\255\050\001\051\001\052\001\053\001\054\001\
\055\001\255\255\057\001\255\255\059\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\255\255\050\001\051\001\
\052\001\053\001\054\001\055\001\255\255\057\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\033\001\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\041\001\042\001\
\043\001\044\001\045\001\046\001\047\001\048\001\255\255\050\001\
\051\001\052\001\053\001\054\001\055\001\001\001\057\001\255\255\
\255\255\005\001\255\255\255\255\255\255\255\255\255\255\255\255\
\012\001\013\001\014\001\015\001\255\255\255\255\255\255\019\001\
\020\001\021\001\022\001\001\001\255\255\255\255\255\255\005\001\
\255\255\255\255\255\255\255\255\255\255\255\255\012\001\013\001\
\014\001\015\001\255\255\255\255\255\255\019\001\020\001\021\001\
\022\001\001\001\255\255\255\255\255\255\005\001\255\255\255\255\
\255\255\255\255\255\255\255\255\012\001\001\001\014\001\015\001\
\255\255\005\001\255\255\019\001\020\001\021\001\022\001\255\255\
\001\001\255\255\014\001\015\001\005\001\255\255\255\255\019\001\
\020\001\021\001\022\001\001\001\255\255\014\001\255\255\005\001\
\255\255\255\255\019\001\020\001\021\001\022\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\019\001\020\001\021\001\
\022\001"

let yynames_const = "\
  Comma\000\
  Dot\000\
  Semicolumn\000\
  LeftParen\000\
  RightParen\000\
  LBrace\000\
  RBrace\000\
  True\000\
  False\000\
  ForAll\000\
  Exists\000\
  And\000\
  NegAnd\000\
  Or\000\
  NegOr\000\
  Equality\000\
  NegEquality\000\
  Negation\000\
  ImplicationLR\000\
  ImplicationRL\000\
  Equivalence\000\
  NegEquivalence\000\
  Plus\000\
  Minus\000\
  EOF\000\
  "

let yynames_block = "\
  CNF\000\
  FOF\000\
  Include\000\
  Axiom\000\
  Hypothesis\000\
  Conjecture\000\
  Negated_conjecture\000\
  Lemma\000\
  Theorem\000\
  Plain\000\
  Unknown\000\
  Derived\000\
  Equal\000\
  Inference\000\
  Theory\000\
  AC\000\
  File\000\
  Creator\000\
  Description\000\
  Iquote\000\
  Status\000\
  Thm\000\
  Sat\000\
  Refutation\000\
  PositiveInteger\000\
  FormulaItem\000\
  InferenceItem\000\
  GeneralFunction\000\
  InferenceInfo\000\
  DagSource\000\
  ExternalSource\000\
  UpperWord\000\
  LowerWord\000\
  String\000\
  QuotedStr\000\
  CommentPercent\000\
  CommentStar\000\
  AnnotationPercent\000\
  AnnotationStar\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Parser_types.parsing_type) in
    Obj.repr(
# 60 "src/parser_tptp.mly"
             (_1::_2)
# 600 "src/parser_tptp.ml"
               : Parser_types.parsing_type))
; (fun __caml_parser_env ->
    Obj.repr(
# 61 "src/parser_tptp.mly"
             ([])
# 606 "src/parser_tptp.ml"
               : Parser_types.parsing_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'annotated_formula) in
    Obj.repr(
# 66 "src/parser_tptp.mly"
                     (_1)
# 613 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'include_file) in
    Obj.repr(
# 67 "src/parser_tptp.mly"
                     (_1)
# 620 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'comment) in
    Obj.repr(
# 68 "src/parser_tptp.mly"
                     (_1)
# 627 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'annotation) in
    Obj.repr(
# 69 "src/parser_tptp.mly"
                     (_1)
# 634 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : 'language) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : 'formula_type) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    Obj.repr(
# 75 "src/parser_tptp.mly"
                                      (Formula(_1,_3,_5,_7,[]))
# 644 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : 'language) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'formula_type) in
    let _7 = (Parsing.peek_val __caml_parser_env 3 : 'fol_formula) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'extra_annotations) in
    Obj.repr(
# 78 "src/parser_tptp.mly"
                                                        (Formula(_1,_3,_5,_7,[_8]))
# 655 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'source) in
    Obj.repr(
# 82 "src/parser_tptp.mly"
               (Source (_2))
# 662 "src/parser_tptp.ml"
               : 'extra_annotations))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'source) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'useful_info) in
    Obj.repr(
# 83 "src/parser_tptp.mly"
                                 (Source_UsefulInfo (_2,_4))
# 670 "src/parser_tptp.ml"
               : 'extra_annotations))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 88 "src/parser_tptp.mly"
      (CNF)
# 677 "src/parser_tptp.ml"
               : 'language))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 89 "src/parser_tptp.mly"
      (FOF)
# 684 "src/parser_tptp.ml"
               : 'language))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'user_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'source_type) in
    Obj.repr(
# 96 "src/parser_tptp.mly"
                                 (UserSourceType(_1,_3))
# 692 "src/parser_tptp.ml"
               : 'formula_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'user_type) in
    Obj.repr(
# 97 "src/parser_tptp.mly"
               (UserType(_1))
# 699 "src/parser_tptp.ml"
               : 'formula_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'source_type) in
    Obj.repr(
# 98 "src/parser_tptp.mly"
                 (SourceType(_1))
# 706 "src/parser_tptp.ml"
               : 'formula_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 103 "src/parser_tptp.mly"
          (Axiom)
# 713 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 103 "src/parser_tptp.mly"
                             (Hypothesis)
# 720 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 104 "src/parser_tptp.mly"
               (Conjecture)
# 727 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 104 "src/parser_tptp.mly"
                                                (Negated_conjecture)
# 734 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 105 "src/parser_tptp.mly"
          (Lemma)
# 741 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 105 "src/parser_tptp.mly"
                          (Theorem)
# 748 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 105 "src/parser_tptp.mly"
                                          (Plain)
# 755 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 105 "src/parser_tptp.mly"
                                                          (Unknown)
# 762 "src/parser_tptp.ml"
               : 'user_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 107 "src/parser_tptp.mly"
                       (Derived)
# 769 "src/parser_tptp.ml"
               : 'source_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'literal_formula) in
    Obj.repr(
# 124 "src/parser_tptp.mly"
                   (_1)
# 776 "src/parser_tptp.ml"
               : 'fol_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'binary_formula) in
    Obj.repr(
# 125 "src/parser_tptp.mly"
                   (_1)
# 783 "src/parser_tptp.ml"
               : 'fol_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_formula) in
    Obj.repr(
# 129 "src/parser_tptp.mly"
                  (_1)
# 790 "src/parser_tptp.ml"
               : 'literal_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unary_formula) in
    Obj.repr(
# 130 "src/parser_tptp.mly"
                  (_1)
# 797 "src/parser_tptp.ml"
               : 'literal_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'quantified_formula) in
    Obj.repr(
# 134 "src/parser_tptp.mly"
                     (_1)
# 804 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'bracketed_formula) in
    Obj.repr(
# 135 "src/parser_tptp.mly"
                    (_1)
# 811 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atom) in
    Obj.repr(
# 136 "src/parser_tptp.mly"
       (Atom _1)
# 818 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'fol_formula) in
    Obj.repr(
# 139 "src/parser_tptp.mly"
                                                     (_2)
# 825 "src/parser_tptp.ml"
               : 'bracketed_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'quantifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'variables) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'literal_formula) in
    Obj.repr(
# 151 "src/parser_tptp.mly"
 (QuantifiedFormula(_1,_3,_6))
# 834 "src/parser_tptp.ml"
               : 'quantified_formula))
; (fun __caml_parser_env ->
    Obj.repr(
# 156 "src/parser_tptp.mly"
         (Exists)
# 840 "src/parser_tptp.ml"
               : 'quantifier))
; (fun __caml_parser_env ->
    Obj.repr(
# 157 "src/parser_tptp.mly"
         (ForAll)
# 846 "src/parser_tptp.ml"
               : 'quantifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'variable) in
    Obj.repr(
# 161 "src/parser_tptp.mly"
             ([_1])
# 853 "src/parser_tptp.ml"
               : 'variables))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'variable) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'variables) in
    Obj.repr(
# 162 "src/parser_tptp.mly"
                             (_1::_3)
# 861 "src/parser_tptp.ml"
               : 'variables))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 189 "src/parser_tptp.mly"
                                         (BinaryFormula(And,_1,_3))
# 869 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 190 "src/parser_tptp.mly"
                                         (BinaryFormula(NegAnd,_1,_3))
# 877 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 191 "src/parser_tptp.mly"
                                         (BinaryFormula(Or,_1,_3))
# 885 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 192 "src/parser_tptp.mly"
                                         (BinaryFormula(NegOr,_1,_3))
# 893 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 193 "src/parser_tptp.mly"
                                         (BinaryFormula(ImplicationLR,_1,_3))
# 901 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 194 "src/parser_tptp.mly"
                                         (BinaryFormula(ImplicationRL,_1,_3))
# 909 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 195 "src/parser_tptp.mly"
                                         (BinaryFormula(Equivalence,_1,_3))
# 917 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'fol_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'fol_formula) in
    Obj.repr(
# 196 "src/parser_tptp.mly"
                                         (BinaryFormula(NegEquivalence,_1,_3))
# 925 "src/parser_tptp.ml"
               : 'binary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'unary_connective) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'literal_formula) in
    Obj.repr(
# 205 "src/parser_tptp.mly"
(UnaryFormula(_1,_2))
# 933 "src/parser_tptp.ml"
               : 'unary_formula))
; (fun __caml_parser_env ->
    Obj.repr(
# 220 "src/parser_tptp.mly"
                             (Negation)
# 939 "src/parser_tptp.ml"
               : 'unary_connective))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 224 "src/parser_tptp.mly"
            (_1)
# 946 "src/parser_tptp.ml"
               : 'atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'theory_term) in
    Obj.repr(
# 229 "src/parser_tptp.mly"
               (TheoryTerm (_1))
# 953 "src/parser_tptp.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'user_term) in
    Obj.repr(
# 230 "src/parser_tptp.mly"
             (UserTerm (_1))
# 960 "src/parser_tptp.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'variable) in
    Obj.repr(
# 231 "src/parser_tptp.mly"
            (Var(_1))
# 967 "src/parser_tptp.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 235 "src/parser_tptp.mly"
        ([_1])
# 974 "src/parser_tptp.ml"
               : 'arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arguments) in
    Obj.repr(
# 236 "src/parser_tptp.mly"
                       (_1::_3)
# 982 "src/parser_tptp.ml"
               : 'arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 240 "src/parser_tptp.mly"
                           (Equality(_1,_3))
# 990 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 241 "src/parser_tptp.mly"
                           (NegEquality(_1,_3))
# 998 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'term) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'term) in
    Obj.repr(
# 242 "src/parser_tptp.mly"
                                                  (Equality(_3,_5))
# 1006 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    Obj.repr(
# 243 "src/parser_tptp.mly"
         (True)
# 1012 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    Obj.repr(
# 244 "src/parser_tptp.mly"
          (False)
# 1018 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'number) in
    Obj.repr(
# 245 "src/parser_tptp.mly"
          (_1)
# 1025 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 246 "src/parser_tptp.mly"
                  (Plus(_1,_3))
# 1033 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 247 "src/parser_tptp.mly"
                   (Minus(_1,_3))
# 1041 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 248 "src/parser_tptp.mly"
                               (UnaryMinus(_2))
# 1048 "src/parser_tptp.ml"
               : 'theory_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'constant) in
    Obj.repr(
# 252 "src/parser_tptp.mly"
            (_1)
# 1055 "src/parser_tptp.ml"
               : 'user_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'name) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 253 "src/parser_tptp.mly"
                                       (Fun(_1,_3))
# 1063 "src/parser_tptp.ml"
               : 'user_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 257 "src/parser_tptp.mly"
        (Fun(_1,[]))
# 1070 "src/parser_tptp.ml"
               : 'constant))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'quoted_string) in
    Obj.repr(
# 258 "src/parser_tptp.mly"
                 (Fun(_1,[]))
# 1077 "src/parser_tptp.ml"
               : 'constant))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 262 "src/parser_tptp.mly"
                (_1)
# 1084 "src/parser_tptp.ml"
               : 'variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 265 "src/parser_tptp.mly"
                   (PositiveInteger(int_of_string _1))
# 1091 "src/parser_tptp.ml"
               : 'number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decimal_part) in
    Obj.repr(
# 267 "src/parser_tptp.mly"
     (RealNumber(int_of_string _1, int_of_string _2))
# 1099 "src/parser_tptp.ml"
               : 'number))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 269 "src/parser_tptp.mly"
                                    (_2)
# 1106 "src/parser_tptp.ml"
               : 'decimal_part))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'lower_word) in
    Obj.repr(
# 271 "src/parser_tptp.mly"
                  (_1)
# 1113 "src/parser_tptp.ml"
               : 'name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 273 "src/parser_tptp.mly"
                           (disquote_string _1)
# 1120 "src/parser_tptp.ml"
               : 'quoted_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 276 "src/parser_tptp.mly"
            (_1)
# 1127 "src/parser_tptp.ml"
               : 'lower_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'key_word) in
    Obj.repr(
# 277 "src/parser_tptp.mly"
            (_1)
# 1134 "src/parser_tptp.ml"
               : 'lower_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 280 "src/parser_tptp.mly"
      (_1)
# 1141 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 280 "src/parser_tptp.mly"
                (_1)
# 1148 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 280 "src/parser_tptp.mly"
                              (_1)
# 1155 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 281 "src/parser_tptp.mly"
        (_1)
# 1162 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 281 "src/parser_tptp.mly"
                         (_1)
# 1169 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 281 "src/parser_tptp.mly"
                                          (_1)
# 1176 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 282 "src/parser_tptp.mly"
                     (_1)
# 1183 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 282 "src/parser_tptp.mly"
                                  (_1)
# 1190 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 282 "src/parser_tptp.mly"
                                                (_1)
# 1197 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 283 "src/parser_tptp.mly"
        (_1)
# 1204 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 283 "src/parser_tptp.mly"
                      (_1)
# 1211 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 283 "src/parser_tptp.mly"
                                     (_1)
# 1218 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 284 "src/parser_tptp.mly"
        (_1)
# 1225 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 284 "src/parser_tptp.mly"
                        (_1)
# 1232 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 284 "src/parser_tptp.mly"
                                     (_1)
# 1239 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 284 "src/parser_tptp.mly"
                                             (_1)
# 1246 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 284 "src/parser_tptp.mly"
                                                         (_1)
# 1253 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 285 "src/parser_tptp.mly"
          (_1)
# 1260 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 285 "src/parser_tptp.mly"
                            (_1)
# 1267 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 285 "src/parser_tptp.mly"
                                         (_1)
# 1274 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 286 "src/parser_tptp.mly"
         (_1)
# 1281 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 286 "src/parser_tptp.mly"
                   (_1)
# 1288 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 286 "src/parser_tptp.mly"
                             (_1)
# 1295 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 286 "src/parser_tptp.mly"
                                              (_1)
# 1302 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 287 "src/parser_tptp.mly"
              (_1)
# 1309 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 287 "src/parser_tptp.mly"
                                 (_1)
# 1316 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 287 "src/parser_tptp.mly"
                                                      (_1)
# 1323 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 288 "src/parser_tptp.mly"
                (_1)
# 1330 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 288 "src/parser_tptp.mly"
                                (_1)
# 1337 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 288 "src/parser_tptp.mly"
                                                     (_1)
# 1344 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'file_name) in
    Obj.repr(
# 295 "src/parser_tptp.mly"
  (Include(_3,[]))
# 1352 "src/parser_tptp.ml"
               : 'include_file))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'file_name) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'formula_selection) in
    Obj.repr(
# 297 "src/parser_tptp.mly"
  (Include(_3,_4))
# 1361 "src/parser_tptp.ml"
               : 'include_file))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 301 "src/parser_tptp.mly"
                           ([_1])
# 1368 "src/parser_tptp.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'name) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'formula_selection) in
    Obj.repr(
# 302 "src/parser_tptp.mly"
                           (_1::_2)
# 1376 "src/parser_tptp.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'quoted_string) in
    Obj.repr(
# 305 "src/parser_tptp.mly"
                          (_1)
# 1383 "src/parser_tptp.ml"
               : 'file_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 312 "src/parser_tptp.mly"
                 (Comment (_1))
# 1390 "src/parser_tptp.ml"
               : 'comment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 313 "src/parser_tptp.mly"
                 (Comment (_1))
# 1397 "src/parser_tptp.ml"
               : 'comment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 319 "src/parser_tptp.mly"
                    (Annotation (_1))
# 1404 "src/parser_tptp.ml"
               : 'annotation))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 320 "src/parser_tptp.mly"
                    (Annotation (_1))
# 1411 "src/parser_tptp.ml"
               : 'annotation))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'dag_source) in
    Obj.repr(
# 425 "src/parser_tptp.mly"
                                            (foo)
# 1419 "src/parser_tptp.ml"
               : 'source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'external_source) in
    Obj.repr(
# 426 "src/parser_tptp.mly"
                                                        (foo)
# 1427 "src/parser_tptp.ml"
               : 'source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 428 "src/parser_tptp.mly"
          (foo)
# 1434 "src/parser_tptp.ml"
               : 'source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 432 "src/parser_tptp.mly"
        (foo)
# 1441 "src/parser_tptp.ml"
               : 'dag_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'inference_record) in
    Obj.repr(
# 433 "src/parser_tptp.mly"
                    (foo)
# 1448 "src/parser_tptp.ml"
               : 'dag_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'inference_rule) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'useful_info) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'parent_info) in
    Obj.repr(
# 439 "src/parser_tptp.mly"
  (foo)
# 1458 "src/parser_tptp.ml"
               : 'inference_record))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 442 "src/parser_tptp.mly"
                      (foo)
# 1465 "src/parser_tptp.ml"
               : 'inference_rule))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parent_info_unit) in
    Obj.repr(
# 452 "src/parser_tptp.mly"
                   (foo)
# 1472 "src/parser_tptp.ml"
               : 'parent_info))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parent_info_unit) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'parent_info) in
    Obj.repr(
# 453 "src/parser_tptp.mly"
                                      (foo)
# 1480 "src/parser_tptp.ml"
               : 'parent_info))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'source) in
    Obj.repr(
# 457 "src/parser_tptp.mly"
          (foo)
# 1487 "src/parser_tptp.ml"
               : 'parent_info_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'source) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'parent_details) in
    Obj.repr(
# 458 "src/parser_tptp.mly"
                         (foo)
# 1495 "src/parser_tptp.ml"
               : 'parent_info_unit))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'quoted_string) in
    Obj.repr(
# 461 "src/parser_tptp.mly"
                                      (foo)
# 1502 "src/parser_tptp.ml"
               : 'parent_details))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'theory_name) in
    Obj.repr(
# 466 "src/parser_tptp.mly"
 (foo)
# 1510 "src/parser_tptp.ml"
               : 'theory))
; (fun __caml_parser_env ->
    Obj.repr(
# 469 "src/parser_tptp.mly"
            (foo)
# 1516 "src/parser_tptp.ml"
               : 'theory_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 470 "src/parser_tptp.mly"
     (foo)
# 1523 "src/parser_tptp.ml"
               : 'theory_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'file_source) in
    Obj.repr(
# 476 "src/parser_tptp.mly"
                  (foo)
# 1530 "src/parser_tptp.ml"
               : 'external_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'creator_source) in
    Obj.repr(
# 477 "src/parser_tptp.mly"
                  (foo)
# 1537 "src/parser_tptp.ml"
               : 'external_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'theory) in
    Obj.repr(
# 478 "src/parser_tptp.mly"
                  (foo)
# 1544 "src/parser_tptp.ml"
               : 'external_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'file_name) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'file_node_name) in
    Obj.repr(
# 482 "src/parser_tptp.mly"
(foo)
# 1553 "src/parser_tptp.ml"
               : 'file_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 486 "src/parser_tptp.mly"
        (foo)
# 1560 "src/parser_tptp.ml"
               : 'file_node_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'creator_name) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'useful_info) in
    Obj.repr(
# 491 "src/parser_tptp.mly"
 (foo)
# 1569 "src/parser_tptp.ml"
               : 'creator_source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'quoted_string) in
    Obj.repr(
# 493 "src/parser_tptp.mly"
                              (foo)
# 1576 "src/parser_tptp.ml"
               : 'creator_name))
; (fun __caml_parser_env ->
    Obj.repr(
# 501 "src/parser_tptp.mly"
                 (foo)
# 1582 "src/parser_tptp.ml"
               : 'useful_info))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'info_items) in
    Obj.repr(
# 502 "src/parser_tptp.mly"
                            (foo)
# 1589 "src/parser_tptp.ml"
               : 'useful_info))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'info_item) in
    Obj.repr(
# 506 "src/parser_tptp.mly"
             (foo)
# 1596 "src/parser_tptp.ml"
               : 'info_items))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'info_item) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'info_item) in
    Obj.repr(
# 507 "src/parser_tptp.mly"
                             (foo)
# 1604 "src/parser_tptp.ml"
               : 'info_items))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'formula_item) in
    Obj.repr(
# 525 "src/parser_tptp.mly"
                                                           (foo)
# 1612 "src/parser_tptp.ml"
               : 'info_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'inference_item) in
    Obj.repr(
# 526 "src/parser_tptp.mly"
                                                           (foo)
# 1620 "src/parser_tptp.ml"
               : 'info_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'general_function) in
    Obj.repr(
# 527 "src/parser_tptp.mly"
                                                           (foo)
# 1628 "src/parser_tptp.ml"
               : 'info_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'description_item) in
    Obj.repr(
# 533 "src/parser_tptp.mly"
                   (foo)
# 1635 "src/parser_tptp.ml"
               : 'formula_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'iquote_item) in
    Obj.repr(
# 534 "src/parser_tptp.mly"
                  (foo)
# 1642 "src/parser_tptp.ml"
               : 'formula_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'quoted_string) in
    Obj.repr(
# 538 "src/parser_tptp.mly"
(foo)
# 1650 "src/parser_tptp.ml"
               : 'description_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'quoted_string) in
    Obj.repr(
# 541 "src/parser_tptp.mly"
 (foo)
# 1658 "src/parser_tptp.ml"
               : 'iquote_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'inference_status) in
    Obj.repr(
# 547 "src/parser_tptp.mly"
                   (foo)
# 1665 "src/parser_tptp.ml"
               : 'inference_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'refutation) in
    Obj.repr(
# 548 "src/parser_tptp.mly"
              (foo)
# 1672 "src/parser_tptp.ml"
               : 'inference_item))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'status_value) in
    Obj.repr(
# 556 "src/parser_tptp.mly"
    (foo)
# 1680 "src/parser_tptp.ml"
               : 'inference_status))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'inference_info) in
    Obj.repr(
# 557 "src/parser_tptp.mly"
                                                   (foo)
# 1688 "src/parser_tptp.ml"
               : 'inference_status))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 561 "src/parser_tptp.mly"
      (foo)
# 1695 "src/parser_tptp.ml"
               : 'status_value))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'inference_rule) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'constant) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'general_list) in
    Obj.repr(
# 569 "src/parser_tptp.mly"
(foo)
# 1704 "src/parser_tptp.ml"
               : 'inference_info))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'file_source) in
    Obj.repr(
# 573 "src/parser_tptp.mly"
(foo)
# 1712 "src/parser_tptp.ml"
               : 'refutation))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'general_function) in
    Obj.repr(
# 582 "src/parser_tptp.mly"
                   (foo)
# 1719 "src/parser_tptp.ml"
               : 'general_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'general_list) in
    Obj.repr(
# 585 "src/parser_tptp.mly"
               (foo)
# 1726 "src/parser_tptp.ml"
               : 'general_term))
; (fun __caml_parser_env ->
    Obj.repr(
# 589 "src/parser_tptp.mly"
                 (foo)
# 1732 "src/parser_tptp.ml"
               : 'general_list))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'general_arguments) in
    Obj.repr(
# 590 "src/parser_tptp.mly"
                                   (foo)
# 1739 "src/parser_tptp.ml"
               : 'general_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'constant) in
    Obj.repr(
# 595 "src/parser_tptp.mly"
           (foo)
# 1746 "src/parser_tptp.ml"
               : 'general_function))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'functor_name) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'general_arguments) in
    Obj.repr(
# 596 "src/parser_tptp.mly"
                                                       (foo)
# 1754 "src/parser_tptp.ml"
               : 'general_function))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'general_term) in
    Obj.repr(
# 600 "src/parser_tptp.mly"
                                   (foo)
# 1761 "src/parser_tptp.ml"
               : 'general_arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'general_term) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'general_arguments) in
    Obj.repr(
# 601 "src/parser_tptp.mly"
                                   (foo)
# 1769 "src/parser_tptp.ml"
               : 'general_arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 606 "src/parser_tptp.mly"
                    (foo)
# 1776 "src/parser_tptp.ml"
               : 'functor_name))
(* Entry main *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let main (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : Parser_types.parsing_type)
