type term    = Term.term
type clause  = Clause.clause
type literal = Clause.literal

(*val selection :  (clause-> literal list) -> clause -> literal list*)

val kbo_sel_max : clause ->  literal list
val literal_neg_selection_max : clause -> literal list 
val literal_neg_selection_min : clause -> literal list 

(*
(* instantiation *)
val cmp_ground   : term -> term -> int 
val cmp_num_symb : term -> term -> int 
val cmp_num_var  : term -> term -> int 
val cmp_sign     : term -> term -> int 
val lit_pos_big_var     : (term->bool)-> clause -> term


val lit_neg_gr_shallow  : (term->bool)-> clause -> term 
val lit_gr_neg_shallow  : (term->bool)-> clause -> term 
val lit_var_neg_shallow : (term->bool)-> clause -> term 
val lit_var_neg_big     : (term->bool)-> clause -> term 
val lit_var_sh_neg      : (term->bool)-> clause -> term 
val lit_var_big_neg     : (term->bool)-> clause -> term 
val lit_neg_var_sh      : (term->bool)-> clause -> term
val lit_neg_var_big     : (term->bool)-> clause -> term
val lit_neg_big_var     : (term->bool)-> clause -> term

val lit_pos_var_sh      : (term->bool)-> clause -> term
val lit_pos_big_var     : (term->bool)-> clause -> term
val lit_pos_var_big     : (term->bool)-> clause -> term

val lit_big_var_neg     : (term->bool)-> clause -> term
val lit_big_var_pos     : (term->bool)-> clause -> term

val lit_big_neg_var     : (term->bool)-> clause -> term
val lit_big_pos_var     : (term->bool)-> clause -> term
*)
