type symb_db_ref = SymbolDB.symbolDB ref
type term_db_ref = TermDB.termDB ref
type clause  = Clause.clause

type split_map
val create_split_map : unit -> split_map

type split_result 
   
val get_split_list          :split_result -> clause list
val get_num_of_splits       :split_result -> int
val get_num_of_split_atoms  :split_result -> int


val ground_split_clause : 
    symb_db_ref -> term_db_ref -> split_map ref -> clause -> split_result 


val ground_split_clause_list : 
    symb_db_ref -> term_db_ref -> split_map ref -> clause list -> split_result 
