open Lib
type clause = Clause.clause

val start_discount : unit -> unit  

(* for combination with e.g. instantiation *)


(* run it once with all initial clauses incl. additional axioms*)
val init_discount_init_clauses : clause list -> unit 

exception Satisfiable 
exception Unsatisfiable 

(* discount_loop_exchange act_to_exch_flag  pass_to_exch_flag *)
(* makes one discount loop iteration  *)
(* returns generated clauses: for exchange*) 
(* if act_to_exch_flag  is true and pass_to_exch_flag = false *) 
(* then return the clause added to active if any  *)
(* if pass_to_exch_flag is true then returns all clauses added to passive*)

val discount_loop_exchange     :  bool -> bool -> clause list 

(* the clause should be fresh *)
(*(it's better to copy the clause to a new one before adding )*)
val add_inst_exchange_clause_to_passive : clause -> unit
(*
val add_new_clause_to_passive  : clause -> unit
*)

val discount_param_str         : unit -> unit
val out_statistics             : unit -> unit

(*debug*)
val try_matching_all : unit -> unit
val try_subsumption_all : unit -> unit
