type term    = Term.term
type clause  = Clause.clause
type literal = Clause.literal

(*val selection :  (clause-> literal list) -> clause -> literal list*)

val sel_kbo_max : clause ->  literal list
val literal_neg_selection_max : clause -> literal list 
val literal_neg_selection_min : clause -> literal list 

(* first argumet is a selection function *)
val get_sel : (clause->literal list) -> clause -> literal list

(* changing selection for next negative and finaly to maximal *)
(* change_sel changes selection to new and returns new selected literals *)
(* if  selection is already max then raises Max_sel  *)
(* also works when no sel is assigned*)
(* Changes sel_lits in clause and can chage res_sel_max  *)
exception Max_sel	  
val change_sel  : clause -> literal list


(*
(* instantiation *)
val cmp_ground   : term -> term -> int 
val cmp_num_symb : term -> term -> int 
val cmp_num_var  : term -> term -> int 
val cmp_sign     : term -> term -> int 
val lit_pos_big_var     : (term->bool)-> clause -> term


val lit_neg_gr_shallow  : (term->bool)-> clause -> term 
val lit_gr_neg_shallow  : (term->bool)-> clause -> term 
val lit_var_neg_shallow : (term->bool)-> clause -> term 
val lit_var_neg_big     : (term->bool)-> clause -> term 
val lit_var_sh_neg      : (term->bool)-> clause -> term 
val lit_var_big_neg     : (term->bool)-> clause -> term 
val lit_neg_var_sh      : (term->bool)-> clause -> term
val lit_neg_var_big     : (term->bool)-> clause -> term
val lit_neg_big_var     : (term->bool)-> clause -> term

val lit_pos_var_sh      : (term->bool)-> clause -> term
val lit_pos_big_var     : (term->bool)-> clause -> term
val lit_pos_var_big     : (term->bool)-> clause -> term

val lit_big_var_neg     : (term->bool)-> clause -> term
val lit_big_var_pos     : (term->bool)-> clause -> term

val lit_big_neg_var     : (term->bool)-> clause -> term
val lit_big_pos_var     : (term->bool)-> clause -> term
*)
