(*
* Copyright (C) 2003 Universitaet Koblenz-Landau
* 
* This file is part of KRHyper.
* 
* KRHyper is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
* 
* KRHyper is distributed in the hope that it will be useful, but WITHOUT ANY
* WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
* FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
* details.
* 
* You should have received a copy of the GNU General Public License along with
* KRHyper; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA 02111-1307 USA
* 
* Contributor(s): Christoph Wernhard <wernhard@uni-koblenz.de>.
*)


(* let out = stderr *)
let out = stdout (* FOR DEBUGGING *)

let msg level string =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    output_string out string;
    output_char out '\n';
    flush out

let msg1 level format arg =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg;
    output_char out '\n';
    flush out

let msg2 level format arg1 arg2 =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg1 arg2;
    output_char out '\n';
    flush out

let msg3 level format arg1 arg2 arg3 =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg1 arg2 arg3;
    output_char out '\n';
    flush out

let msg4 level format arg1 arg2 arg3 arg4 =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg1 arg2 arg3 arg4;
    output_char out '\n';
    flush out
      
let msg5 level format arg1 arg2 arg3 arg4 arg5 =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg1 arg2 arg3 arg4 arg5;
    output_char out '\n';
    flush out

let msg8 level format arg1 arg2 arg3 arg4 arg5 arg6 arg7 arg8 =
  if level <= Cfg.get_verbosity () then
    let out = Cfg.get_msg_output () in
    output_string out "% ";
    Printf.fprintf out format arg1 arg2 arg3 arg4 arg5 arg6 arg7 arg8;
    output_char out '\n';
    flush out
