

// -------------------------------
// nr_calls = 17049420
// passed set problem = 13208470
// nr solution = 911049
// max_lemmas = 36316
// max_size = 204383
// average lemmas = 67.3871
// average size = 225.723
// -------------------------------

%predicates 
   c2/1, c5/1, c6/1, c7/1, c8/1, c9/1, c10/1, c11/1.
   f4/2, f1/3, f3/3.

%rulesystem
   c2(V0) /\ f1(V0,V0,V1) /\ f1(V2,V0,V1) /\ f1(V3,V0,V1) /\ 
   f1(V4,V2,V5) /\ f1(V5,V6,V7) /\ f1(V6,V0,V8) /\ f1(V7,V9,V10) /\ 
   f1(V4,V9,V11) /\ f1(V12,V13,V11) /\ f1(V12,V3,V14) /\ f1(V15,V16,V10) /\ 
   f1(V16,V0,V17) /\ f1(V18,V0,V1) /\ f1(V19,V18,V15) /\ f1(V19,V8,V20) /\ 
   f1(V20,V1,V21) /\ f1(V30,V0,V1) /\ f1(V31,V0,V1) /\ f1(V41,V17,V40) /\ 
   f1(V41,V31,V42) /\ f1(V32,V30,V33) /\ f1(V32,V37,V40) /\ 
   f1(V33,V34,V35) /\ f1(V35,V37,V38) /\ f1(V34,V0,V36) /\ f1(V38,V36,V39) /\ 
   f1(V42,V43,V44) /\ V39 != V43 /\ f1(V21,V46,V48) /\ f1(V47,V48,V44) /\ 
   f1(V45,V0,V46) /\ f1(V47,V45,V22) /\ f1(V14,V22,V23) /\ f1(V24,V0,V25) /\ 
   f1(V26,V24,V27) /\ f1(V27,V13,V28) /\ f1(V28,V25,V29) /\ 
   f1(V26,V29,V23) -> . 

%model 
   # E0. 
   c2(E0). 
   c5(E0). 
   c6(E0). 
   c7(E0). 
   c8(E0). 
   # E1. 
   c9(E1). 
   c10(E1). 
   # E2. 
   c11(E2). 
   f4(E0,E0). 
   f1(E0,E0,E0). 
   f3(E0,E0,E0). 
   # E3. 
   f4(E1,E3). 
   f1(E0,E1,E3). 
   f1(E1,E0,E3). 
   # E4. 
   f1(E1,E1,E4). 
   f3(E0,E1,E1). 
   f3(E1,E0,E1). 
   # E5. 
   f3(E1,E1,E5). 
   # E6. 
   f4(E2,E6). 
   f1(E0,E2,E6). 
   # E7. 
   f1(E1,E2,E7). 
   f1(E2,E0,E6). 
   f1(E2,E1,E7). 
   f1(E2,E2,E2). 
   f3(E0,E2,E2). 
   # E8. 
   f3(E1,E2,E8). 
   f3(E2,E0,E2). 
   f3(E2,E1,E8). 
   f3(E2,E2,E6). 
   f4(E3,E1). 
   f1(E0,E3,E1). 
   f1(E1,E3,E0). 
   # E9. 
   f1(E2,E3,E9). 
   f1(E3,E0,E1). 
   f1(E3,E1,E0). 
   f1(E3,E2,E9). 
   f1(E3,E3,E5). 
   f3(E0,E3,E3). 
   f3(E1,E3,E0). 
   # E10. 
   f3(E2,E3,E10). 
   f3(E3,E0,E3). 
   f3(E3,E1,E0). 
   f3(E3,E2,E10). 
   f3(E3,E3,E4). 
   f4(E4,E5). 
   f1(E0,E4,E5). 
   f1(E1,E4,E1). 
   f1(E2,E4,E4). 
   f1(E3,E4,E10). 
   f1(E4,E0,E5). 
   f1(E4,E1,E1). 
   f1(E4,E2,E4). 
   f1(E4,E3,E10). 
   f1(E4,E4,E2). 
   f3(E0,E4,E4). 
   f3(E1,E4,E3). 
   f3(E2,E4,E5). 
   f3(E3,E4,E9). 
   f3(E4,E0,E4). 
   f3(E4,E1,E3). 
   f3(E4,E2,E5). 
   f3(E4,E3,E9). 
   f3(E4,E4,E6). 
   f4(E5,E4). 
   f1(E0,E5,E4). 
   f1(E1,E5,E9). 
   # E11. 
   f1(E2,E5,E11). 
   f1(E3,E5,E3). 
   f1(E4,E5,E0). 
   f1(E5,E0,E4). 
   f1(E5,E1,E9). 
   f1(E5,E2,E11). 
   f1(E5,E3,E3). 
   f1(E5,E4,E0). 
   f1(E5,E5,E6). 
   f3(E0,E5,E5). 
   f3(E1,E5,E10). 
   f3(E2,E5,E11). 
   f3(E3,E5,E1). 
   f3(E4,E5,E0). 
   f3(E5,E0,E5). 
   f3(E5,E1,E10). 
   f3(E5,E2,E11). 
   f3(E5,E3,E1). 
   f3(E5,E4,E0). 
   f3(E5,E5,E2). 
   f4(E6,E2). 
   f1(E0,E6,E2). 
   f1(E1,E6,E10). 
   f1(E2,E6,E0). 
   f1(E3,E6,E8). 
   f1(E4,E6,E11). 
   f1(E5,E6,E5). 
   f1(E6,E0,E2). 

