



#include "statistics_collector.h"


namespace swll
{

   std::ostream& operator << ( std::ostream& stream,
		               const statistics_collector& sc )
   {
      stream << "-------------------------------\n";
      stream << "nr_calls = " << sc. nr_calls << "\n";

      stream << "passed set problem = ";
      stream << sc. nr_passedsetproblem << "\n";

      stream << "nr solution = " << sc. nr_solution << "\n";

      stream << "max_lemmas = " << sc. max_lemmas << "\n"; 
      stream << "max_size = " << sc. max_size << "\n"; 

      if( sc. nr_calls )
      {
         stream << "average lemmas = ";
	 stream << sc. sum_lemmas / sc. nr_calls << "\n";
	 stream << "average size = "; 
	 stream << sc. sum_size / sc. nr_calls << "\n";
      }
      stream << "-------------------------------\n";

      return stream; 
   } 

} 



