/**
 * Copyright (c) 2006 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-J3.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifndef RECEIVER_HPP
#define RECEIVER_HPP
#include "jargon.hpp"
#include "BlodKorvDebugFlags.hpp"
#undef DEBUG_NAMESPACE
#ifdef DEBUG_RECEIVER
#  define DEBUG_NAMESPACE "Receiver<class C>"
#endif
#include "debugMacros.hpp"
namespace BK 
{
template <class C>
class Receiver 
{
public:
  virtual ~Receiver() {};
  virtual void receive(const C& x) = 0;
}; 
}; 
#endif
