/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifndef __CASCMode__
#define __CASCMode__
#include <string>
#include "Run.hpp"
#include "XML.hpp"
using namespace std;
namespace Shell {
class Property;
class Schedule;
class Timer;
class UnitList;
class CASCMode 
  : public Run
{
public:
  CASCMode(Options& options);
  void run();
  void reportAllocationFailure ();
private:
  class Schedule;
  void runSchedule(UnitList& problem,Schedule& schedule,
		   const Property& property,int timeLimit);
};
}
#endif
