/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#include "Int.hpp"
#include "Lists.hpp"
using namespace Shell;
string IntList::toString () const
{
  if (isEmpty()) {
    return "";
  }
  string result = Int::toString(head());
  Iterator<int> it (tail());
  while (it.hasNext()) {
    result += (string)"." + Int::toString(it.next());
  }
  return result;
} 
