/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifndef __Normalisation__
#define __Normalisation__
namespace Shell {
class Unit;
class Formula;
class Literal;
class Clause;
class Atom;
class Normalisation
{
public:
  static void normalise (Unit&);
private:
  static void normalise (Formula&);
  static void normalise (Literal&);
  static void normalise (Atom&);
  static void normalise (Clause&);
}; 
}
#endif
