/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#ifndef __PureLiteral__
#define __PureLiteral__
class Problem;
class Signature;
class LiteralList;
namespace Shell {
class PureLiteral {
public:
  PureLiteral (Problem& problem,Signature& signature);
  int findAndRemove ();
private:
  class Counter;
  Problem& _problem;
  Counter* _counter;
  int _pure;
  void count(const LiteralList&);
  void uncount(const LiteralList&);
}; 
}
#endif
