/**
 * Copyright (c) 2007 Andrei Voronkov and the University of Manchester.
 *
 * This version of Vampire is intended to be used only for CASC-21.
 * It is not a full version of Vampire.
 *
 * The only reason you can view the source code of this software is
 * that it is required by the conditions of CASC. You are not allowed
 * to use, modify or distribute this software or any part of it in any form.
 * To obtain a licence to use this software please check Vampire's
 * Web page. If you are interested in Vampire's implementation you
 * can check publications on Vampire.
 */

#include "SizeFormula.hpp"
using namespace VK;
#undef DEBUG_NAMESPACE  
#ifdef DEBUG_SIZE_FORMULA
#  define DEBUG_NAMESPACE "SizeFormula"
#endif
#include "debugMacros.hpp"
#ifndef NO_DEBUG_VIS
ostream& SizeFormula::output(ostream& str) 
{
  _varMultiset.resetIter();
  str << const_part;
  for (const Unifier::Variable* var = _varMultiset.nextVar();
       var;
       var = _varMultiset.nextVar())
    { 
      str << " + " << _varMultiset.score(var);
      var->output(str);
    };  
  return str;
}; 
#endif
