type bit_vec = int

(* in order better type check bit vec is bool vec*)
(* impl: 0 is false 1 is true*)

let false_vec = 0
let true_vec  = lnot 0
    
let max_pos = 30

let set (b:bool) (i: int) (v: bit_vec) = 
  if  ((i <= max_pos) && (i>= 0)) 
  then  
    if b then 
      (*lsl -- shift 1 by i bits*)
      (1 lsl i) lor v 
    else 
      (lnot (1 lsl i)) land v
  else
    failwith "bit_vec: trying to access over the range of bit_vec"

let get (i: int) (v: bit_vec) =
  if  ((i <= max_pos) && (i>= 0)) 
  then
(* lsr shift right*)     
    if ((v lsr i) mod 2) = 0
     then false 
     else true
  else
    failwith "bit_vec: trying to access over the range of bit_vec"
      
