type clause  = Clause.clause
type literal = Clause.literal
type term_db = TermDB.termDB
type clause_db = ClauseAssignDB.clauseDB

val num_of_dismatch_blockings    :  int ref 
val num_of_non_proper_inst       :  int ref 
val num_of_duplicates            :  int ref



(* can raise  Unif.Unif_non_unifable *)

val resolution    : clause -> literal -> literal ->
                      clause list -> literal -> term_db ref -> clause list 

val factoring     : clause -> literal -> literal -> term_db ref -> clause

(*
val instantiation : term_db ref -> clause -> literal -> literal ->
                      clause list -> literal -> clause list 
*)

val instantiation_norm : bool->term_db ref -> clause_db ref -> clause -> literal -> literal ->
                          clause list -> literal -> clause list 

